# API Situação Local de Uso
Retorna a situação atual do Local de Uso.
## Produto requisitado:

| Nome               | url                    | uri                                      |
|--------------------|------------------------|------------------------------------------|
| Customer Portal    | https://cp.teknisa.com | https://cp.teknisa.com/backend/index.php |

## Verbos HTTPs permitidos:
GET

## Informações de acesso:

API de consulta com rota(s) pública(s)
### Rotas

```
/api/situacao_local_de_uso
```
Método `GET`

**Parâmetros**

| Parâmetro         | Tipo          | Descrição                                 |
|-------------------|---------------|-------------------------------------------|
| NRORG             | String        | Número da Organização                     |
| CDLOCALUSO        | String        | Código do local de uso (Filial            |


###### Exemplo de uso em `php`:

```php
<?php

$url = "https://cp.teknisa.com/backend/index.php/api/situacao_local_de_uso";
$header[] = 'Content-Type: application/json';
$dataArray = [
    'NRORG' => 'xxxx',
    'CDLOCALUSO' => 'xxxx'
];
$data = http_build_query($dataArray);
$getUrl = $url."?".$data;

$curl = curl_init();

curl_setopt($curl, CURLOPT_HTTPHEADER, $header);
curl_setopt($curl, CURLOPT_URL, $getUrl);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

$output = curl_exec($curl);
$output = json_decode($output, true);
$error = curl_error($curl);

if ($error) {
    var_dump($error);
} else {
    var_dump($output);
}

curl_close($curl);
```

### Retorno se Licença de Uso estiver Ativa

```php
array(1) {
  ["dataset"]=>
  array(1) {
    ["data"]=>
    array(3) {
      [0]=> {
        'IDLUSOATIV' => 'S',
        'DTVALIPERSLUSO' => '04/05/2021'
      }
    }
  }
}
```

### Retorno se Licença de Uso estiver Inativa

```php
array(1) {
  ["dataset"]=>
  array(1) {
    ["data"]=>
    array(3) {
      [0]=> {
        'IDLUSOATIV' => 'N',
      }
    }
  }
}
```
